## ros-indigo-image-geometry 1.11.16

=== debian/changelog ===
ros-indigo-image-geometry (1.11.16-0trusty) trusty; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-indigo-image-geometry (1.11.15-0trusty) trusty; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-indigo-image-geometry (1.11.14-0trusty) trusty; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-indigo-image-geometry (1.11.13-0trusty) trusty; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-image-geometry (1.11.12-0trusty) trusty; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 23:00:00 -0000

ros-indigo-image-geometry (1.11.11-0trusty) trusty; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 23:00:00 -0000

ros-indigo-image-geometry (1.11.10-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 23:00:00 -0000

ros-indigo-image-geometry (1.11.9-0trusty) trusty; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 23:00:00 -0000

ros-indigo-image-geometry (1.11.8-0trusty) trusty; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 22:00:00 -0000

ros-indigo-image-geometry (1.11.7-0trusty) trusty; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp
  * Updated inline math for reprojecting a single disparity
  * Update stereo_camera_model.cpp
    Correct slight error in the Q matrix derivation
  * Updated Q matrix to account for cameras with different Fx and Fy values
  * Contributors: Carnegie Robotics LLC, Matt Alvarado, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-indigo-image-geometry (1.11.6-0trusty) trusty; urgency=high

  * Fixes in image_geometry for Python cv2 API
  * Fixed typo: np -> numpy
  * Added missing tfFrame method to Python PinholeCameraModel.
  * Removed trailing whitespace.
  * Contributors: Daniel Maturana

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 15 Nov 2014 23:00:00 -0000

ros-indigo-image-geometry (1.11.5-0trusty) trusty; urgency=high

  * get code to work with OpenCV3
    actually fixes #46 <https://github.com/ros-perception/vision_opencv/issues/46> properly
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-indigo-image-geometry (1.11.4-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-indigo-image-geometry (1.11.3-0trusty) trusty; urgency=high

  * pinhole_camera_model: fix implicit shared_ptr cast to bool for C++11
    In C++11 boost::shared_ptr does not provide the implicit bool conversion
    operator anymore, so make the cast in pinhole_camera_model.h explicit.
    That does not hurt in older C++ standards and makes compilation with C++11
    possible.
  * Contributors: Max Schwarz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Jun 2014 22:00:00 -0000

ros-indigo-image-geometry (1.11.2-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-indigo-image-geometry (1.11.1-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Apr 2014 22:00:00 -0000

ros-indigo-image-geometry (1.11.0-0trusty) trusty; urgency=high

  * remove OpenCV 1 API
  * fixes #6 <https://github.com/ros-perception/vision_opencv/issues/6>
  * fix OpenCV dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Feb 2014 23:00:00 -0000

ros-indigo-image-geometry (1.10.15-0trusty) trusty; urgency=high

  * add assignment operator for StereoCameraModel
  * fixed Python rectifyImage implementation in PinholeCameraModel
  * Added operator= for the PinholeCameraModel.
    Added the operator= for the PinholeCameraModel. I am not sure if the
    PinholeCameraModel needs to have a destructor, too. To follow the
    'rule of three' it should actually have one.
  * Contributors: Tobias Bar, Valsamis Ntouskos, Vincent Rabaud


